<?php
ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

// Get specific parameters:
$HeaderText = $_GET["HeaderText"];	 
$HeaderSize = $_GET["HeaderSize"];
$FooterText = $_GET["FooterText"];
$FooterSize = $_GET["FooterSize"];
$FontType = $_GET["FontType"];
$FontColour = $_GET["FontColour"];

if(isset($_GET['NumCols']) && !empty($_GET['NumCols'])){
	$NumCols = $_GET["NumCols"];	
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "Number of Columns is missing, ";
}

if(isset($_GET['BackColour']) && !empty($_GET['BackColour'])){
	$BackColour = $_GET["BackColour"];	
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "Background Colour is missing, ";
}

if(strlen($_GET['ImgPaddingSize']) != 0){
	$ImgPaddingSize = $_GET["ImgPaddingSize"];	
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "Padding size is missing, ";
}

if(strlen($_GET['ImgBorderSize']) != 0){                                                 
	$ImgBorderSize = $_GET["ImgBorderSize"];	
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "Border size is missing, ";
}

if(isset($_GET['ImgBorderColour']) && !empty($_GET['ImgBorderColour'])){
	$ImgBorderColour = $_GET["ImgBorderColour"];	
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "Border colour is missing, ";
}

if(isset($_GET['ImgSize']) && !empty($_GET['ImgSize'])){
	$ImgSize = $_GET["ImgSize"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "Image size is missing, ";
}

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<us>" . "\r\n";
	echo "		<u>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</u>" . "\r\n";
	echo "	</us>";
	die;
}

echo "<html>\n";
echo "<head>\n";

If ($HeaderText != "*"){
	echo "	<title>" . $HeaderText . "</title>\n";
} else {
	echo "	<title>Twitabase Collage</title>\n";
}

echo "	<meta name=\"generator\" content=\"Twitabase\">\n";
echo "	<script>\n";
echo "		function imgError(image) {\n";
echo "			image.onerror = \"\";\n";
				// Twitabase avatar URL
echo "			image.src = \"https://pbs.twimg.com/profile_images/575073778817859584/VAzR8_If.png\";\n";
echo "			return true;\n";
echo "		}\n";
echo "	</script>\n";
echo "	<style type=\"text/css\">\n";
echo "		.header {\n";
echo "			font-family: " . $FontType . ";\n";
echo "			font-size: " . $HeaderSize . "px;\n";
echo "			color: " . $FontColour . ";\n";
echo "		}\n";
echo "		.footer {\n";
echo "			font-family: " . $FontType . ";\n";
echo "			font-size: " . $FooterSize . "px;\n";
echo "			color: " . $FontColour . ";\n";
echo "		}\n";
echo "		img {\n";
echo "			padding: " . $ImgPaddingSize . "px;\n";
echo "			border: " . $ImgBorderSize . "px solid " . $ImgBorderColour . ";\n";
echo "		}\n";
echo "		p {\n";
echo "			margin: 0\n";
echo "		}\n";
echo "	</style>\n";
echo "</head>\n";
echo "<body bgcolor=\"" . $BackColour . "\">\n";

echo "<div align=\"center\">";

If ($HeaderText != "*"){
	echo "<p class=\"header\">" . $HeaderText . "</p>\n";
}

$f = fopen("temp/collage.csv", "r");

$ColCount = 0;

while (($line = fgetcsv($f)) !== false) {
	
	if ($ImgSize=="*"){
		echo("<a href=\"http://twitter.com/" . $line[1] . "\"><img onerror=\"imgError(this);\" src=\"" . $line[0] . "\"></a>");
	} else {
		echo("<a href=\"http://twitter.com/" . $line[1] . "\"><img onerror=\"imgError(this);\" width=\"" . $ImgSize . "\" height=\"" . $ImgSize . "\" src=\"" . $line[0] . "\"></a>");
	}
	
	$ColCount = $ColCount + 1;
	
	If ($ColCount == $NumCols) {
		echo "		<br />\n";
		$ColCount = 0;
	}
}

fclose($f);

If ($FooterText != "*"){
	echo "<p class=\"footer\">" . $FooterText . "</p>\n";
}

echo "</div>";

echo "</body>\n";
echo "</html>\n";

//delete temp/collage.csv

?>