<?php

ini_set('display_errors', 1);

// Set errors
$intErrors = 0;
$strErrorMsg = "";

require_once('TwitterAPIExchange.php');
require_once('GetSharedParams.php');

// Get specific parameters:

if(isset($_GET['strResources']) && !empty($_GET['strResources'])){
	$strResources = $_GET["strResources"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strResources missing, ";
}

if(isset($_GET['strPath']) && !empty($_GET['strPath'])){
	$strPath = $_GET["strPath"];
} else {
    $intErrors = $intErrors + 1;
	$strErrorMsg = $strErrorMsg . "strPath missing, ";
}

if ($intErrors > 0 ) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<limit>" . "\r\n";
	echo "		<node>" . "\r\n";
	echo "			<code>params</code>" . "\r\n";
	echo "			<message>" . $intErrors  . " parameter error(s) - " . $strErrorMsg . "</message>" . "\r\n";
	echo "		</node>" . "\r\n";
	echo "	</limit>";
	die;
}

/** Set access tokens here - see: https://dev.twitter.com/apps/ **/
$settings = array(
    'oauth_access_token' => $oat,
    'oauth_access_token_secret' => $oats,
    'consumer_key' => $ck,
    'consumer_secret' => $cs
);

$url = 'https://api.twitter.com/1.1/application/rate_limit_status.json';
$getfield = '?resources=' . $strResources;
$requestMethod = 'GET';
$twitter = new TwitterAPIExchange($settings);

$data=$twitter->setGetfield($getfield)
			 ->buildOauth($url, $requestMethod)
			 ->performRequest();

$arrayContent = json_decode($data, true);

if (array_key_exists('errors', $arrayContent)) {
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
	echo "	<limit>" . "\r\n";
	echo "		<node>" . "\r\n";
	echo "			<code>" . $arrayContent['errors'][0]['code'] . "</code>" . "\r\n";
	echo "			<message>" . $arrayContent['errors'][0]['message'] . "</message>" . "\r\n";
	echo "		</node>" . "\r\n";
	echo "	</limit>";
	die;
}

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"."\r\n";
echo "	<limit>"."\r\n";
echo "		<node>"."\r\n";
echo "			<limit>" . $arrayContent['resources'][$strResources][$strPath]['limit'] . "</limit>"."\r\n"; 
echo "			<remaining>" . $arrayContent['resources'][$strResources][$strPath]['remaining'] . "</remaining>"."\r\n"; 
echo "			<reset>" . $arrayContent['resources'][$strResources][$strPath]['reset'] . "</reset>"."\r\n"; 				
echo "		</node>"."\r\n";
echo "	</limit>";

?>